<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  リンク情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.do
 */
class configLinkUpdateAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $link_id    = $request['link_id'];
        $link_name  = $request['link_name'];
        $url        = $request['url'];
        $sort_order = $request['sort_order'];

        // リンクの更新
        db_update_link($link_id, $link_name, $url, $sort_order);

        // メッセージの作成
        $params = array('msg' => 'リンクを更新しました。');

        // リダイレクト
        pocket_redirect('configLink.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $link_id    = $request['link_id'];
        $link_name  = $request['link_name'];
        $url        = $request['url'];
        $sort_order = $request['sort_order'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'configLink';

        // 検証
        $validator->validate('link_id'   , 'ID'        , $link_id   , 'number', true);
        $validator->validate('link_name' , 'リンク名称', $link_name , 'string', true);
        $validator->validate('url'       , 'URL'       , $url       , 'url'   , true);
        $validator->validate('sort_order', '表示順'    , $sort_order, 'number', true);
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
